import { DelAdSysWarningRuleProps } from "@/services/adMonitor/earlyWarning"
import { Popconfirm } from "antd"
import React from "react"

function columns(del: (data: DelAdSysWarningRuleProps) => void) {
    const data: any = [
        { title: '广告账号', dataIndex: 'accountId', key: 'accountId' },
        { title: '广告名称', dataIndex: 'adgroupName', key: 'adgroupName', width: 350, ellipsis: true },
        { title: '广告ID', dataIndex: 'adgroupId', key: 'adgroupId' },
        { title: '创意ID', dataIndex: 'campaignId', key: 'campaignId' },
        {
            title: '操作',
            dataIndex: 'cz',
            key: 'cz',
            render: (a: string[], b: any) => {
                return <Popconfirm
                    title="确定删除?"
                    onConfirm={() => del(b)}
                    okText="是"
                    cancelText="否"
                >
                    <a style={{ color: 'red' }}>删除</a>
                </Popconfirm>
            }
        },
    ]


    return data
}

export default columns